#!/bin/sh

# \
  if (test -z "$WISH"); then export WISH=wish; fi
# \
  exec "$WISH" "$0" -name wish ${1+"$@"}

# ======================================================================

# example1.tcl --

# Label selection example.

# Version   : 0.0.1
# Author    : Mark G. Saye
# Email     : markgsaye@yahoo.com
# Copyright : Copyright (C) 2003
# Date      : April 20, 2003

# See the file "LICENSE.txt" or "LICENSE.html" for information on usage
# and distribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.

# ======================================================================

# rename ::focus ::focus_
# proc ::focus {args} {
  # puts "focus \[$args\]"
  # uplevel [linsert $args 0 focus_]
# }

# ======================================================================

  package require label

# ======================================================================

  namespace eval example {}

# ======================================================================

proc example::main {{argc 0} {argv {}}} {

# ----------------------------------------------------------------------

  variable ns [namespace current]

# ----------------------------------------------------------------------

  wm withdraw .
  update idletasks

  set W .label_example1
  toplevel $W
  wm withdraw $W
  update idletasks

  wm title $W "Label Selection Example"
  wm protocol $W WM_DELETE_WINDOW exit

  tk_focusNext $W

  entry $W.entry -width 30
  $W.entry insert end "Entry - Hello World"

  label $W.label-1 \
    -text "Normal Label"

  label $W.label-2 \
    -text "Hello World" \
    -takefocus 1 \
    -highlightthickness 1 \
    -relief sunken \
    -bd 1

  variable state [$W.label-2 cget -state]

  foreach _state {normal active disabled} {
    set r $W.radio-$_state
    radiobutton $r \
      -text $_state \
      -variable ${ns}::state \
      -value $_state \
      -command [list $W.label-2 configure -state $_state]
  }

  text $W.text -width 20 -height 5

  button $W.button \
    -text Close \
    -default active \
    -command exit

  pack $W.button         -side bottom -anchor se
  pack $W.entry          -side top -expand 0 -fill x -padx 20 -pady 20
  pack $W.label-1        -side top -expand 0 -fill x -padx 20 -pady 20
  pack $W.label-2        -side top -expand 0 -fill x -padx 20 -pady 20
  pack $W.radio-normal   -side top -expand 0 -fill x
  pack $W.radio-active   -side top -expand 0 -fill x
  pack $W.radio-disabled -side top -expand 0 -fill x
  pack $W.text           -side top -expand 1 -fill both

# ----------------------------------------------------------------------

  wm deiconify $W
  raise $W

# ----------------------------------------------------------------------

  return

}

# ======================================================================

  if { [info exists argv0] && [string equal [info script] $argv0] } {
    example::main $argc $argv
  }

# ======================================================================

